com.streambase.liveview.client

## Enum LiveViewTableCapability

- java.lang.Object
- - java.lang.Enum<LiveViewTableCapability>
  - - com.streambase.liveview.client.LiveViewTableCapability

- All Implemented Interfaces:
    Serializable, Comparable<LiveViewTableCapability>

      public enum LiveViewTableCapability
      extends Enum<LiveViewTableCapability>

  Enumerates certain capabilities that may be supported by a table.

  Since this feature is known to servers only since 1.4, older servers will have capabilities reported to directly by this client layer. In particular, TopN and Time Window queries did not exist, and are thus never reported for any table for servers older than 1.4.

  Since:
    1.4

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGGREGATE_QUERIES` Whether or not this table supports Time-delayed queries (i.e.
    `ALERT_RULES` Whether or not this table supports alert rules configured against it.
    `CALCULATED_COLUMNS`
    `CAN_BE_EXTERNALLY_HOSTED`
    `CONTINUOUS` Whether or not the Table supports Continuous query updates
    `DELETE` Whether or not this table supports delete operations.
    `HAVING_QUERIES`
    `PIVOT_QUERIES`
    `PUBLISH` Whether or not this table can be published to via a TablePublisher
    `SNAPSHOT` Whether or not the Table supports Snapshot only queries
    `TIME_DELAYED_QUERIES` Whether or not this table supports Time-delayed queries (i.e.
    `TIME_WINDOWED_QUERIES` Whether or not this table supports Time-windowed queries.
    `TOP_N_QUERIES` Whether or not this table supports TopN queries.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getReadable()`
    `String` | `toString()`
    `static LiveViewTableCapability` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LiveViewTableCapability[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SNAPSHOT

          public static final LiveViewTableCapability SNAPSHOT

      Whether or not the Table supports Snapshot only queries

    - #### CONTINUOUS

          public static final LiveViewTableCapability CONTINUOUS

      Whether or not the Table supports Continuous query updates

    - #### ALERT_RULES

          public static final LiveViewTableCapability ALERT_RULES

      Whether or not this table supports alert rules configured against it.

    - #### DELETE

          public static final LiveViewTableCapability DELETE

      Whether or not this table supports delete operations.

    - #### TOP_N_QUERIES

          public static final LiveViewTableCapability TOP_N_QUERIES

      Whether or not this table supports TopN queries. (i.e. ORDER BY with a retrieval limit)

    - #### TIME_WINDOWED_QUERIES

          public static final LiveViewTableCapability TIME_WINDOWED_QUERIES

      Whether or not this table supports Time-windowed queries.

    - #### TIME_DELAYED_QUERIES

          public static final LiveViewTableCapability TIME_DELAYED_QUERIES

      Whether or not this table supports Time-delayed queries (i.e. ... for X milliseconds)
      Since:
        1.5

    - #### AGGREGATE_QUERIES

          public static final LiveViewTableCapability AGGREGATE_QUERIES

      Whether or not this table supports Time-delayed queries (i.e. ... for X milliseconds)
      Since:
        1.5

    - #### PUBLISH

          public static final LiveViewTableCapability PUBLISH

      Whether or not this table can be published to via a TablePublisher
      Since:
        1.5

    - #### CAN_BE_EXTERNALLY_HOSTED

          public static final LiveViewTableCapability CAN_BE_EXTERNALLY_HOSTED

    - #### PIVOT_QUERIES

          public static final LiveViewTableCapability PIVOT_QUERIES

    - #### CALCULATED_COLUMNS

          public static final LiveViewTableCapability CALCULATED_COLUMNS

    - #### HAVING_QUERIES

          public static final LiveViewTableCapability HAVING_QUERIES

  - ### Method Detail

    - #### values

          public static LiveViewTableCapability[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LiveViewTableCapability c : LiveViewTableCapability.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LiveViewTableCapability valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getReadable

          public String getReadable()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<LiveViewTableCapability>`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.